<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/getoptions.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.getoptions</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../Synopsis.html" >Synopsis</a>.getoptions

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="getoptions/CommandLineError.html" >CommandLineError</a></div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.getoptions.CommandLineError" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/getoptions.py.html#line12" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="getoptions.html#parse_option" >parse_option</a></span>(<span class="variable">arg</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.getoptions.parse_option" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/getoptions.py.html#line14" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">The required format is '--option[=[arg]]' or 'option=arg'.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="getoptions.html#get_options" >get_options</a></span>(<span class="variable">args</span>, <span class="variable">parse_arg</span> = <span class="value">parse_option</span>, <span class="variable">expect_non_options</span> = <span class="value">True</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.getoptions.get_options" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/getoptions.py.html#line42" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">provide an iterator over the options in args.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="parse_option">parse_option</a>(<span class="variable">arg</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.getoptions.parse_option" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/getoptions.py.html#line14" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">The required format is '--option[=[arg]]' or 'option=arg'.
    In the former case the optional argument is interpreted as
    a string &#40;only '--option' sets the value to True&#44; '--option='
    sets it to the empty string&#41;&#44; in the latter case the argument
    is evaluated as a python expression.
    Returns &#40;None&#44; None&#41; for non-option argument</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get_options">get_options</a>(<span class="variable">args</span>, <span class="variable">parse_arg</span> = <span class="value">parse_option</span>, <span class="variable">expect_non_options</span> = <span class="value">True</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.getoptions.get_options" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/getoptions.py.html#line42" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">provide an iterator over the options in args.
    All found options are stripped&#44; such that args will
    contain the remainder&#44; i.e. non-option arguments.
    Pass each argument to the parse_option function to
    extract the &#40;name&#44;value&#41; pair. Returns as soon as
    the first non-option argument was detected.
    </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:50 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
